
Foreman - Bug #31942

Applied Errata template - Host filter input throws error, if it's nil

02/22/2021 10:25 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Templates   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8350

  

Description

The input(...) can be blank and in such cases the template will throw errors.

Related issues:

Related to Foreman - Feature #29969: Add host filter to the applied errata re... Closed

Related to Katello - Bug #31748: 'Applied Errata' report fails with error 'no... Closed

Associated revisions

Revision 55a4cbc8 - 02/23/2021 09:14 AM - Ondřej Ezr

Fixes #31942 - Host filter error on nil

We can't use `empty?` on input as it might be nil.

History

#1 - 02/22/2021 10:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8350 added

#2 - 02/22/2021 10:29 PM - Ondřej Ezr

- Related to Feature #29969: Add host filter to the applied errata report added

#3 - 02/23/2021 09:14 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 02/23/2021 09:27 AM - Ondřej Ezr

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

#5 - 02/23/2021 10:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|55a4cbc850e8363e1cd747ccbd135aed66630cec.

#6 - 02/27/2021 05:40 PM - Ondřej Ezr

- Related to Bug #31748: 'Applied Errata' report fails with error 'no implicit conversion of nil into Array' added
